#! /bin/sh

start_app() {
	/usr/sbin/pear_restart --install_path=/ --cache_path=/sata &
}

stop_app() {
	killall -9 pear_restart
    sleep 1
    killall -SIGINT pear_update_tencent
    killall -SIGINT pear_update_tencent_video
    killall -SIGINT pear_update_webrtc
    killall -SIGINT pear_update_tencent_om
    killall -SIGINT pear_update_iqiyi
    killall -SIGINT pear_update_tencent_sv
    killall -SIGINT pear_update_cnetc
    sleep 1
    killall -9 pear_update
    killall -9 pear_monitor
    killall -9 fog_p2p
    killall -9 pear_httpd
    killall -9 pear_s
    killall -9 pear_update_tencent
    killall -9 pear_update_tencent_video
    killall -9 pear_update_webrtc
    killall -9 pear_update_tencent_om
    killall -9 pear_update_iqiyi
    killall -9 pear_update_tencent_sv
    killall -9 pear_update_cnetc
}

case "$1" in
  start)
	start_app
	;;
  stop)
	stop_app
	;;

  reload|restart|force-reload)
	stop_app
	start_app
	;;

  *)
	echo "$0 start|stop|reload|restart"
	exit 1
esac

exit 0
